Subject: Re: Using clean/smudge filters with difftool

From: Michael J Gruber <[email-masked]>
Date: Thu, 18 Jun 2015 14:31:27 +0200

Florian Aspart venit, vidit, dixit 16.06.2015 16:11:
> Hi everyone,
> 
> I created a clean filter to apply on some files before commiting them.
> The filter works correctly when I commit the file and is also applied
> when I usethe iff command line tool.
> However, when using difftool with meld, the filter is not applied and
> the different versions of the files are compared without any
> filtering.
> 
> Is there a way to apply the clean/smudge filters when comparing the
> working copy of a file to the HEAD version in a gui diff tool?
> 
> I'm using git version 2.4.3 under Ubuntu.
> 
> Best,
> Florian

Are you saying that "difftool" compares an uncleaned working tree file
with a cleaned blob? That would be a bug in either difftool or the way
we feed difftool.

Michael